unit Unit3; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls, windows;

const
  LWA_COLORKEY = 1;
  LWA_ALPHA = 2;
  LWA_BOTH = 3;
  WS_EX_LAYERED = $80000;
  GWL_EXSTYLE = -20;


 {Function SetLayeredWindowAttributes Lib "user32" (ByVal hWnd As Long, ByVal Color As Long, ByVal X As Byte, ByVal alpha As Long) As Boolean }
 function SetLayeredWindowAttributes (hWnd:Longint; Color:Longint; X:Byte; alpha:Longint):bool; stdcall; external 'USER32';

 {not sure how to alias these functions here ????   alias setwindowlonga!!}
 {Function SetWindowLong Lib "user32" Alias "SetWindowLongA" (ByVal hWnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long }
 Function SetWindowLongA (hWnd:Longint; nIndex:longint; dwNewLong:longint):longint; stdcall; external 'USER32';


 {Function GetWindowLong Lib "user32" Alias "GetWindowLongA" (ByVal hWnd As Long, ByVal nIndex As Long) As Long }
 Function GetWindowLongA ( hWnd:Longint; nIndex:longint):longint; stdcall; external 'user32';

type

  { TAppSplash }

  TAppSplash = class(TForm)
    Image1: TImage;
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  AppSplash: TAppSplash;

implementation

procedure SetTranslucent(ThehWnd: Longint; Color: Longint; nTrans: Integer);
var
  attrib:longint;
begin
  {SetWindowLong and SetLayeredWindowAttributes are API functions, see MSDN for details }

  attrib := GetWindowLongA(ThehWnd, GWL_EXSTYLE);
  SetWindowLongA (ThehWnd, GWL_EXSTYLE, attrib Or WS_EX_LAYERED);
  {anything with color value color will completely disappear if flag = 1 or flag = 3  }
  SetLayeredWindowAttributes (ThehWnd, Color, nTrans,1);
end;

{ TAppSplash }

procedure TAppSplash.FormCreate(Sender: TObject);
var
  transparency:longint;
begin
  {the color were going to make transparent the red that the form backgroud is set to}
  transparency :=  $00ff21fd;


  {call the function to do it}
  SetTranslucent (AppSplash.Handle, transparency, 0);
end;

{$R *.lfm}

end.

